/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ViewContainerRef } from '@angular/core';
import { DialogContainerService } from './dialog-container.service';
import * as i0 from "@angular/core";
/**
 * Represents an insertion point for Dialogs created through the Dialog service.
 * The created Dialogs mount after this element. ([See example.]({% slug api_dialog_dialogservice %}#toc-open))
 *
 * @example
 * ```html
 * <div kendoDialogContainer></div>
 * ```
 */
export declare class DialogContainerDirective {
    constructor(container: ViewContainerRef, service: DialogContainerService);
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogContainerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DialogContainerDirective, "[kendoDialogContainer]", never, {}, {}, never, never, true, never>;
}
