/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DialogAction } from "./dialog-action";
import { DialogCloseResult } from "./dialog-close-result";
/**
 * Represents the possible result types of the Dialog.
 *
 * Use the `DialogResult` type to handle the result when a Dialog closes. If the result is a [`DialogCloseResult`]({% slug api_dialog_dialogcloseresult %}), the **Close** button was clicked.
 * Otherwise, the value is the configuration of the action button that was clicked. ([See example.]({% slug api_dialog_dialogservice %}#toc-open))
 *
 */
export type DialogResult = DialogCloseResult | DialogAction;
